#!/bin/sh

/usr/bin/pcb2gcode  --voronoi=1 --onedrill --nom6 \
--back *-B_Cu.gbl \
--front *-F_Cu.gtl \
--drill *-PTH.drl \
--outline *-Edge_Cuts.gm1 \
--metric --metricoutput --optimise  \
--zsafe 5 --zchange 5 --zcut -1.6 --cutter-diameter 3 --zdrill -1.65  \
--drill-feed 400 --drill-speed 24000 --offset 0.0 --mill-feed 100 --mill-speed 24000 --cut-feed 100 \
--cut-speed 24000  --zwork -0.04 --cut-infeed 2 --fill-outline=true \
--basename pcb \
--vectorial 
#--preamble /home/giver/Focus/pcb/pcb2metalab/preamble.ngc \
#--postamble /home/giver/Focus/pcb/pcb2metalab/postamble.ngc \




/usr/bin/pcb2gcode     --milldrill-diameter 3 --nom6 --min-milldrill-hole-diameter=3mm \
--drill *-NPTH.drl \
--outline *-Edge_Cuts.gm1 \
--metric --metricoutput --optimise --onedrill \
--zwork -0.02 --zsafe 5 --zchange 5 --zcut -1.6 --cutter-diameter 3 --zdrill -1.65  \
--drill-feed 400 --drill-speed 24000 --offset 0.5 --mill-feed 50 --mill-speed 24000 --cut-feed 100 \
--cut-speed 24000 --cut-infeed 2 \
--basename pcb --nog81 1 \
--vectorial   --bridges=0.5000 

#--preamble /home/giver/Focus/pcb/pcb2metalab/preamble.ngc \
#--postamble /home/giver/Focus/pcb/pcb2metalab/postamble.ngc \
for a in *ngc; do
    sed "/M[025].*/d" < $a > $a.tap
done
rm *svg *ngc